/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2022  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_BUC_INFO_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_BUC_INFO_ID_UPDATE.h"
#include "../Generated/ID_SCREEN_BUC_INFO.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "../utilities/fsl_debug_console.h"

/*** Begin of user code area ***/
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_BUC_INFO
*/
void cbID_SCREEN_BUC_INFO(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_BUC_SW_VER_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_INFO__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_BUC_SW_VER_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//		if(BUC_Info_Buc_ID_Save_Flag==1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, gui_BUC_Info_ID);
//		}
//		if(Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_BUC_Serial_Num_P1);
//
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_BUC_SW_VER_P1);
//
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_BUC_FW_VER_P1);
//
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_BUC_Manuf_Date_P1);
//		}
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_Screen_Param_Default);
//
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_Screen_Param_Default);
//
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_Screen_Param_Default);
//
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_Screen_Param_Default);
//		}
//
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, Backup_gui_BUC_Serial_Num);
//
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, Backup_gui_BUC_SW_VER_P1);
//
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, Backup_gui_BUC_FW_VER_P1);
//
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, Backup_gui_BUC_Manuf_Date);
//		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__APPW_NOTIFICATION_MOTION
*/
void ID_SCREEN_BUC_INFO__APPW_NOTIFICATION_MOTION(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

	if(BUC_Info_Buc_ID_Save_Flag==1)
	{
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, gui_BUC_Info_ID);
	}
	if(Parameter_UDP_Pkt_from_BUC_Received==1)
	{
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_BUC_Serial_Num_P1);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_BUC_SW_VER_P1);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_BUC_FW_VER_P1);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_BUC_Manuf_Date_P1);
	}
	else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
	{
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_Screen_Param_Default);
	}

	else if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
	{
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, Backup_gui_BUC_Serial_Num);

		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, Backup_gui_BUC_SW_VER_P1);

		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, Backup_gui_BUC_FW_VER_P1);

		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, Backup_gui_BUC_Manuf_Date);
	}


  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_TEXT_BUC_DISP_ID_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_DISP_ID_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_INFO__ID_TEXT_BUC_DISP_ID_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_DISP_ID_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_TEXT_BUC_ID_VALUE__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_ID_VALUE__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_INFO__ID_TEXT_BUC_ID_VALUE__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_ID_VALUE__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
	//APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_ID_VALUE, g_BUC_ID);
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_TEXT_BUC_SW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_SW_VER_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_INFO__ID_TEXT_BUC_SW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_SW_VER_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

//		if(Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_BUC_SW_VER_P1);
//		}
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_Screen_Param_Default);
//		}
//
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, Backup_gui_BUC_SW_VER_P1);
//		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_TEXT_BUC_FW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_FW_VER_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_INFO__ID_TEXT_BUC_FW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_FW_VER_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//		if(Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_BUC_FW_VER_P1);
//		}
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_Screen_Param_Default);
//		}
//
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, Backup_gui_BUC_FW_VER_P1);
//		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_TEXT_BUC_MANU_YEAR_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_MANU_YEAR_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_INFO__ID_TEXT_BUC_MANU_YEAR_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_BUC_MANU_YEAR_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//		if(Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_BUC_Manuf_Date_P1);
//		}
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_Screen_Param_Default);
//		}
//
//		else if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//		{
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, Backup_gui_BUC_Manuf_Date);
//		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_BUTTON_REFRESH_BUC_INFO__WM_NOTIFICATION_CLEAR
*/
void ID_SCREEN_BUC_INFO__ID_BUTTON_REFRESH_BUC_INFO__WM_NOTIFICATION_CLEAR(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
		if(BUC_Info_Buc_ID_Save_Flag==1)
		{
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, gui_BUC_Info_ID);
		}
		if(Parameter_UDP_Pkt_from_BUC_Received==1)
		{
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_BUC_Serial_Num_P1);

				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_BUC_SW_VER_P1);

				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_BUC_FW_VER_P1);

				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_BUC_Manuf_Date_P1);
		}
		else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
		{
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_Screen_Param_Default);
		}

		else if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
		{
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, Backup_gui_BUC_Serial_Num);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, Backup_gui_BUC_SW_VER_P1);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, Backup_gui_BUC_FW_VER_P1);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, Backup_gui_BUC_Manuf_Date);
		}

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_BUTTON_BACK_BUC_INFO_MENU__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_INFO__ID_BUTTON_BACK_BUC_INFO_MENU__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_BUTTON_HOME_INFO__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_INFO__ID_BUTTON_HOME_INFO__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_INFO__ID_BUTTON_BUC_ID_UPDATE__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_INFO__ID_BUTTON_BUC_ID_UPDATE__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*************************** End of file ****************************/
